Tryton - Issues

 

Issue8483

Title Wrong navigation on editable tree with tab
Priority bug Status resolved
Superseder Nosy List ced, reviewbot, roundup-bot
Type behavior Components tryton
Assigned To ced Keywords review
Reviews 261821002
View: 261821002

Created on 2019-07-11.11:12:08 by ced, last changed by roundup-bot.

Messages
New changeset 31f6b330b0d1 by Cédric Krier in branch '5.2':
Do no rely on CellRenderer mode but on type
https://hg.tryton.org/tryton/rev/31f6b330b0d1
New changeset 372716572b72 by Cédric Krier in branch 'default':
Do no rely on CellRenderer mode but on type
https://hg.tryton.org/tryton/rev/372716572b72
review261821002 updated at https://codereview.tryton.org/261821002/#ps251751002
msg50613 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-07-11.11:12:07
With r d2c705524c87, the focusable_cells method relies on the mode of the renderer to select which one is editable.
But this is wrong assumption because the property of the renderer does not always correspond to the current row (but to the last row rendered).
So the behavior is quite random and may skip some valid cells (if last rendered row of the same column was readonly).
History
Date User Action Args
2019-07-22 21:48:15roundup-botsetmessages: + msg50786
keyword: - backport
2019-07-20 21:55:17cedsetstatus: testing -> resolved
2019-07-17 22:44:08cedsetstatus: resolved -> testing
keyword: + backport
2019-07-17 22:43:31roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg50697
keyword: - backport
2019-07-17 22:41:29cedsetkeyword: + backport
2019-07-11 11:44:45reviewbotsetnosy: + reviewbot
messages: + msg50615
2019-07-11 11:14:16cedsetstatus: in-progress -> testing
reviews: 261821002
keyword: + review
2019-07-11 11:12:08cedcreate

Showing 10 items. Show all history (warning: this could be VERY long)